<?xml version="1.0" encoding="UTF-8"?>
<web-app xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://java.sun.com/xml/ns/javaee" xsi:schemaLocation="http://java.sun.com/xml/ns/javaee http://java.sun.com/xml/ns/javaee/web-app_2_5.xsd" version="2.5">
<display-name>Expense-System</display-name>

  
	<servlet>
  	<servlet-name>LoginServlet</servlet-name>
  	<servlet-class>expense.system.Aragon.Servlets.LoginServlet</servlet-class>
  </servlet> 
  <servlet-mapping>
  	<servlet-name>LoginServlet</servlet-name>
  	<url-pattern>/login</url-pattern>
  </servlet-mapping>
  
  <servlet>
  	<servlet-name>SubmitRequestServlet</servlet-name>
  	<servlet-class>expense.system.Aragon.Servlets.SubmitRequestServlet</servlet-class>
  </servlet> 
  <servlet-mapping>
  	<servlet-name>SubmitRequestServlet</servlet-name>
  	<url-pattern>/submit</url-pattern>
  </servlet-mapping>
  
  <servlet>
  	<servlet-name>UpdateRequestServlet</servlet-name>
  	<servlet-class>expense.system.Aragon.Servlets.UpdateRequestServlet</servlet-class>
  </servlet> 
  <servlet-mapping>
  	<servlet-name>UpdateRequestServlet</servlet-name>
  	<url-pattern>/update</url-pattern>
  </servlet-mapping>
  
  <servlet>
  	<servlet-name>EmployeeInfoServlet</servlet-name>
  	<servlet-class>expense.system.Aragon.Servlets.EmployeeInfoServlet</servlet-class>
  </servlet> 
  <servlet-mapping>
  	<servlet-name>EmployeeInfoServlet</servlet-name>
  	<url-pattern>/info</url-pattern>
  </servlet-mapping>
  
  <filter>
  	<filter-name>CorsFilter</filter-name>
  	<filter-class>org.apache.catalina.filters.CorsFilter</filter-class>
  	<init-param>
  		<param-name>cors.allowed.origins</param-name>
  		<param-value>*</param-value>
  	</init-param>
  </filter>
  <filter-mapping>
  	<filter-name>CorsFilter</filter-name>
  	<url-pattern>/*</url-pattern>
  </filter-mapping>
  


</web-app>
  
